Bug 631874 - Review Request: liboauth - OAuth library functions
Summary: Review Request: liboauth - OAuth library functions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chen Lei
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 624984
TreeView+ depends on / blocked
 
Reported: 2010-09-08 15:00 UTC by Michel Alexandre Salim
Modified: 2014-05-27 12:40 UTC (History)
3 users (show)

Fixed In Version: bti-028-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-28 05:24:32 UTC
supercyper1: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Michel Alexandre Salim 2010-09-08 15:00:15 UTC
Spec URL: http://salimma.fedorapeople.org/specs/tools/liboauth.spec
SRPM URL: http://salimma.fedorapeople.org/specs/tools/liboauth-0.9.0-1.fc14.src.rpm
Description:
liboauth is a collection of POSIX-c functions implementing the OAuth
Core RFC 5849 standard. liboauth provides functions to escape and
encode parameters according to OAuth specification and offers
high-level functionality to sign requests or verify OAuth signatures
as well as perform HTTP requests.

Comment 1 Chen Lei 2010-09-09 04:21:00 UTC
Only one minor issue in spec:

%{_mandir}/man3/oauth.* should be moved to -devel subacpackage.

Comment 2 Michel Alexandre Salim 2010-09-10 14:28:19 UTC
(In reply to comment #1)
> Only one minor issue in spec:
> 
> %{_mandir}/man3/oauth.* should be moved to -devel subacpackage.

Very good point; fixed in the updated package:
Spec URL: http://salimma.fedorapeople.org/specs/tools/liboauth.spec
SRPM URL:
http://salimma.fedorapeople.org/specs/tools/liboauth-0.9.0-2.fc14.src.rpm

Comment 3 Chen Lei 2010-09-13 02:50:35 UTC
formal review here:
+:ok, =:needs attention, -:needs fixing

MUST Items:
[+] MUST: rpmlint must be run on every package.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must meet the Packaging Guidelines. [FIXME?: covers this
list and more]
[+] MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL.
<<md5sum checksum>>353e5dfbc0e6f4277ff04a7eebd96bec 
[+] MUST: The package must successfully compile and build into binary rpms on
at least one supported architecture.
[+] MUST: All build dependencies must be listed in BuildRequires
[+] MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro.
[+] MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun.
[+] MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content. This is
described in detail in the code vs. content section of Packaging Guidelines.
[+] MUST: If a package includes something as %doc, it must not affect the
runtime of the application.
[+] MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: If the source package does not include license text(s) as a
separate file from upstream, the packager SHOULD query upstream to include it.
[=] SHOULD: The description and summary sections in the package spec file
should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all
supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[+] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin consider requiring the package which provides the file
instead of the file itself.


This package is approved!

Comment 4 Michel Alexandre Salim 2010-09-13 07:10:26 UTC
Thanks!

New Package SCM Request
=======================
Package Name: liboauth
Short Description: OAuth library functions
Owners: salimma
Branches: f12 f13 f14 el5 el6
InitialCC:

Comment 5 Kevin Fenzi 2010-09-14 04:36:38 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2010-09-16 11:00:32 UTC
bti-028-1.fc14,liboauth-0.9.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/bti-028-1.fc14,liboauth-0.9.0-2.fc14

Comment 7 Fedora Update System 2010-09-16 11:00:44 UTC
bti-028-1.fc12,liboauth-0.9.0-2.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/bti-028-1.fc12,liboauth-0.9.0-2.fc12

Comment 8 Fedora Update System 2010-09-16 11:00:55 UTC
bti-028-1.fc13,liboauth-0.9.0-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/bti-028-1.fc13,liboauth-0.9.0-2.fc13

Comment 9 Fedora Update System 2010-09-17 04:04:20 UTC
bti-028-1.fc14, liboauth-0.9.0-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bti liboauth'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/bti-028-1.fc14,liboauth-0.9.0-2.fc14

Comment 10 Fedora Update System 2010-09-17 09:08:05 UTC
bti-028-1.el5,liboauth-0.9.0-2.el5.1 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/bti-028-1.el5,liboauth-0.9.0-2.el5.1

Comment 11 Fedora Update System 2010-09-17 17:33:51 UTC
bti-028-1.el5, liboauth-0.9.0-2.el5.1 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bti liboauth'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/bti-028-1.el5,liboauth-0.9.0-2.el5.1

Comment 12 Fedora Update System 2010-09-28 05:24:12 UTC
bti-028-1.fc13, liboauth-0.9.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-09-28 05:26:04 UTC
bti-028-1.fc12, liboauth-0.9.0-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-09-28 05:51:24 UTC
bti-028-1.fc14, liboauth-0.9.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-10-04 16:56:26 UTC
bti-028-1.el5, liboauth-0.9.0-2.el5.1 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Michel Alexandre Salim 2014-05-23 03:20:50 UTC
Package Change Request
======================
Package Name: liboauth
New Branches: epel7
Owners: salimma

Comment 17 Gwyn Ciesla 2014-05-27 12:40:56 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.